# Overview

WebSphere Application Server Network Deployment
 

WebSphere Application Server is a proven, high-performance transaction engine that can help build, run, integrate, and manage dynamic web applications.


#Creating the repositories
Run steps below with admin access

Install needed packages
    apt-get install dpkg-dev apache2

Create the repository on apache server
Under your apache repository directory
    cd <apache-repository-directory>
Configure apache server to allow access to the repository
Configure config.yaml with the repository url
	was_url: "http://<server-name>/debs/"

# Usage
Download your licensed IBM Installation Manager software version 1.5 and above and upload to your apache repository 

Download your licensed IBM Websphere ND software 8.5.5.0 and upload to your apache repository 

Download your licensed IBM Websphere ND software WAS fixpack version 8.5.5.4 version and upload to your apache repository 

For WAS 8.5.5.0 Download refer : http://www-01.ibm.com/support/knowledgecenter/SSAW57_8.5.5/com.ibm.websphere.nd.doc/ae/welcome_nd.html
for WAS 8.5.5.4 fixpack download refer : http://www-01.ibm.com/support/docview.wss?uid=swg24038539 link

To download and install the code contained in this charm you must agree to the 
IBM license. The license file(s) can be found in the product binaries you downloaded.

Run the following to deploy this charm:

    juju deploy was-base

At this point the charm will wait until the user accepts the license.  If you 
agree to the license, run the following command:

    juju set was-base accept-ibm-im-license=True
    juju set was-base accept-ibm-websphere-license=True


You can then browse to http://ip-address:9060 to view WAS Console. 

# Configuration

`was_url`
Apache Repository URL where WAS packages are placed

`im_install_path`
Installation Manager Installation path , This si the path where Installation Manager will get installed'

`im_file_name`
Downloaded Installation Manager Package Name

`accept-ibm-im-license`  
The IBM Installation Manager software comes with special terms and conditions from IBM.
The IBM Installation Manager software can only be used by accepting the terms and 
conditions found in the IBM-Installation-Manager-license.txt file.  

Setting this option to True indicates that you have read and accept the 
IBM  Installation Manager terms and conditions found in the license file.  
The license file(s) can be found in the product binaries you downloaded. 

`accept-ibm-was-nd-license`
Before you can use, extract, or install IBM WebSphere Application Server
for Developers V8.5.5, you must accept the terms of International License
Agreement for Non-Warranted Programs and additional license information.
Please read the license agreement carefully.

The license file can be found in the root directory of the charm source
in the IBM-WebSphere-license.txt file

**The WebSphere software cannot be installed until the terms and
contions are accepted.  The charm will not function correctly until the
this configuration option is set to True.**

# Contact Information

For issues with this charm, please contact jujusupp@us.ibm.com
